## ros-one-rqt-rviz 0.7.0-1jammy.20251208.0022

=== debian/changelog ===
ros-one-rqt-rviz (0.7.0-1jammy.20251208.0022) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Robert Haschke <rhaschke@techfak.uni-bielefeld.de>  Mon, 08 Dec 2025 00:22:05 +0000

ros-one-rqt-rviz (0.7.0-0jammy) jammy; urgency=high

  * Fixup catkin_lint issues
  * Update maintainers
  * Correctly update window title with context serial no
  * Notice changes of display config file
  * Find quit action by name
  * Suppress rviz splash screen
  * fix shebang line for python3 (#14 <https://github.com/ros-visualization/rqt_rviz/issues/14>)
  * Contributors: Mikael Arguedas, Robert Haschke

 -- Robert Haschke <rhaschke@techfak.uni-bielefeld.de>  Tue, 22 Jun 2021 00:00:00 -0000

ros-one-rqt-rviz (0.6.1-0jammy) jammy; urgency=high

  * Noetic release (#11 <https://github.com/ros-visualization/rqt_rviz/issues/11>)
    * Bump CMake version to avoid CMP0048 warning
    * Use setuptools instead of distutils
  * Use std::vector for variable length arrays. (#10 <https://github.com/ros-visualization/rqt_rviz/issues/10>)
    * Use std::vector for variable length arrays. (#3 <https://github.com/ros-visualization/rqt_rviz/issues/3>)
    Some compiler doesn't support variable length arrays feature like G++. Rework the code to use std::vector instead for between cross-compiling.
    * Fix build break in CI.
  * Contributors: Alejandro Hernández Cordero, Sean Yen [MSFT]

 -- Robert Haschke <rhaschke@techfak.uni-bielefeld.de>  Tue, 12 May 2020 00:00:00 -0000

ros-one-rqt-rviz (0.6.0-0jammy) jammy; urgency=high

  * Indigo -> Lunar
  * Contributors: chapulina

 -- Robert Haschke <rhaschke@techfak.uni-bielefeld.de>  Wed, 27 Jun 2018 00:00:00 -0000

ros-one-rqt-rviz (0.5.10-0jammy) jammy; urgency=high

  * Config file for the plugin and hide_menu saving
  * Contributors: Sammy Pfeiffer, chapulina

 -- Robert Haschke <rhaschke@techfak.uni-bielefeld.de>  Wed, 27 Jun 2018 00:00:00 -0000

ros-one-rqt-rviz (0.5.9-0jammy) jammy; urgency=high



 -- Robert Haschke <rhaschke@techfak.uni-bielefeld.de>  Thu, 03 May 2018 00:00:00 -0000

ros-one-rqt-rviz (0.5.8-0jammy) jammy; urgency=high

  * Qt5 widgets bugfix (#4 <https://github.com/ros-visualization/rqt_rviz/issues/4>)
    * add qtbase to dependency list
    * find widgets as components rather than package
  * Contributors: Mikael Arguedas

 -- Robert Haschke <rhaschke@techfak.uni-bielefeld.de>  Tue, 02 May 2017 00:00:00 -0000

ros-one-rqt-rviz (0.5.7-0jammy) jammy; urgency=high



 -- Robert Haschke <rhaschke@techfak.uni-bielefeld.de>  Thu, 27 Apr 2017 00:00:00 -0000

ros-one-rqt-rviz (0.5.6-0jammy) jammy; urgency=high



 -- Robert Haschke <rhaschke@techfak.uni-bielefeld.de>  Tue, 24 Jan 2017 00:00:00 -0000

ros-one-rqt-rviz (0.5.5-0jammy) jammy; urgency=high



 -- Robert Haschke <rhaschke@techfak.uni-bielefeld.de>  Wed, 02 Nov 2016 00:00:00 -0000

ros-one-rqt-rviz (0.5.4-0jammy) jammy; urgency=high

  * mark rviz plugin as experimental since it has severe issues for while

 -- Robert Haschke <rhaschke@techfak.uni-bielefeld.de>  Mon, 19 Sep 2016 00:00:00 -0000

ros-one-rqt-rviz (0.5.3-0jammy) jammy; urgency=high



 -- Robert Haschke <rhaschke@techfak.uni-bielefeld.de>  Mon, 16 May 2016 00:00:00 -0000

ros-one-rqt-rviz (0.5.2-0jammy) jammy; urgency=high

  * fix using Qt 5 when rqt uses it

 -- Robert Haschke <rhaschke@techfak.uni-bielefeld.de>  Fri, 29 Apr 2016 00:00:00 -0000

ros-one-rqt-rviz (0.5.1-0jammy) jammy; urgency=high



 -- Robert Haschke <rhaschke@techfak.uni-bielefeld.de>  Thu, 28 Apr 2016 00:00:00 -0000

ros-one-rqt-rviz (0.5.0-0jammy) jammy; urgency=high



 -- Robert Haschke <rhaschke@techfak.uni-bielefeld.de>  Wed, 27 Apr 2016 00:00:00 -0000

ros-one-rqt-rviz (0.4.3-0jammy) jammy; urgency=high

  * disable ogre-log by default, add command line option to enable it (fix #95 <https://github.com/ros-visualization/rqt_robot_plugins/issues/95>)

 -- Robert Haschke <rhaschke@techfak.uni-bielefeld.de>  Tue, 08 Mar 2016 00:00:00 -0000

ros-one-rqt-rviz (0.4.2-0jammy) jammy; urgency=high



 -- Robert Haschke <rhaschke@techfak.uni-bielefeld.de>  Fri, 24 Jul 2015 00:00:00 -0000

ros-one-rqt-rviz (0.4.1-0jammy) jammy; urgency=high



 -- Robert Haschke <rhaschke@techfak.uni-bielefeld.de>  Thu, 30 Apr 2015 00:00:00 -0000

ros-one-rqt-rviz (0.4.0-0jammy) jammy; urgency=high

  * update script to use full plugin name

 -- Robert Haschke <rhaschke@techfak.uni-bielefeld.de>  Wed, 05 Nov 2014 00:00:00 -0000

ros-one-rqt-rviz (0.3.7-0jammy) jammy; urgency=high

  * fix argument parsing (#68 <https://github.com/ros-visualization/rqt_robot_plugins/issues/68>) (regression of 0.3.5)

 -- Robert Haschke <rhaschke@techfak.uni-bielefeld.de>  Mon, 18 Aug 2014 00:00:00 -0000

ros-one-rqt-rviz (0.3.6-0jammy) jammy; urgency=high



 -- Robert Haschke <rhaschke@techfak.uni-bielefeld.de>  Fri, 11 Jul 2014 00:00:00 -0000

ros-one-rqt-rviz (0.3.5-0jammy) jammy; urgency=high

  * fix compilation on OS X (#64 <https://github.com/ros-visualization/rqt_robot_plugins/issues/64>)

 -- Robert Haschke <rhaschke@techfak.uni-bielefeld.de>  Mon, 02 Jun 2014 00:00:00 -0000

ros-one-rqt-rviz (0.3.4-0jammy) jammy; urgency=high

  * add menu hiding and config as command-line args (#62 <https://github.com/ros-visualization/rqt_robot_plugins/pull/62>)

 -- Robert Haschke <rhaschke@techfak.uni-bielefeld.de>  Wed, 07 May 2014 00:00:00 -0000

ros-one-rqt-rviz (0.3.3-0jammy) jammy; urgency=high



 -- Robert Haschke <rhaschke@techfak.uni-bielefeld.de>  Tue, 28 Jan 2014 00:00:00 -0000

ros-one-rqt-rviz (0.3.2-0jammy) jammy; urgency=high

  * add groups for rqt plugins (ros-visualization/rqt_common_plugins#167 <https://github.com/ros-visualization/rqt_common_plugins/issues/167>)

 -- Robert Haschke <rhaschke@techfak.uni-bielefeld.de>  Wed, 08 Jan 2014 00:00:00 -0000

ros-one-rqt-rviz (0.3.1-0jammy) jammy; urgency=high



 -- Robert Haschke <rhaschke@techfak.uni-bielefeld.de>  Wed, 09 Oct 2013 00:00:00 -0000

ros-one-rqt-rviz (0.3.0-0jammy) jammy; urgency=high




