=== debian/changelog ===
ros-one-rqt-rviz (0.7.0-1noble.20260302.2142) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Robert Haschke <rhaschke@techfak.uni-bielefeld.de>  Mon, 02 Mar 2026 21:42:10 +0000
