=== debian/control ===
Source: ros-one-rqt-rviz
Section: misc
Priority: optional
Maintainer: Robert Haschke <rhaschke@techfak.uni-bielefeld.de>
Build-Depends: debhelper (>= 9.0.0), libboost-all-dev, qtbase5-dev, ros-one-catkin, ros-one-class-loader, ros-one-rqt-gui, ros-one-rqt-gui-cpp, ros-one-rviz
Homepage: http://wiki.ros.org/rqt_rviz
Standards-Version: 3.9.2

Package: ros-one-rqt-rviz
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libboost-all-dev, ros-one-pluginlib, ros-one-rqt-gui, ros-one-rqt-gui-cpp, ros-one-rviz
Description: rqt_rviz provides a GUI plugin embedding RViz.
 Note that this rqt plugin does NOT supersede RViz but depends on it.
